from datetime import datetime
from typing import Optional
import numpy as np
from pydantic import BaseModel, ConfigDict


class Pose(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)

    frame_id: int
    position: np.ndarray
    orientation: np.ndarray
    timestamp: datetime
    covariance: Optional[np.ndarray] = None

